package io.nexilis.service.data.daos

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import io.nexilis.service.data.entities.*

@Dao
interface FollowDao {

    @Query("select * from Follow")
    fun getAll(): LiveData<List<Follow>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(entity: Follow)

    @Query("delete from Follow")
    suspend fun deleteAll()

}